### Method

# RB Source gather_selected_properties

#### Declaration [src]

    GList*
    rb_source_gather_selected_properties (
      RBSource* source,
      RhythmDBPropType prop
    )

#### Description [src]

Returns a list containing the values of the specified property from the selected entries in the source. This is used to implement the ‘browse this artist’ (etc.) actions.

#### Parameters

`prop`

  Type: `RhythmDBPropType`

  Property for which to gather selection.

#### Return value

Type: A list of `utf8`

List of property values.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.